Proxy wont start with dhcp: true

05/05/2012 02:12 PM - Florian Koch

Status: Closed   

Priority: High   

Assignee:    

Category: DHCP   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Proxy Version: foreman-proxy-0.5.0rc2-0.1.el6.noarch

[root@foreman-proxya01 ~]# service foreman-proxy start

Starting foreman-proxy: /usr/lib/ruby/site_ruby/1.8/rubygems/dependency.rb:247:in `to_specs': Coul

d not find net-ldap (~> 0.2.2) amongst [bundler-1.0.15, daemon_controller-0.2.6, fastthread-1.0.7,

 ffi-1.0.11, json-1.6.6, net-ldap-0.3.1, net-ping-1.5.3, passenger-3.0.12, rack-1.2.5, rack-test-0

.5.7, rake-0.9.2.2, sinatra-1.0] (Gem::LoadError)

        from /usr/lib/ruby/site_ruby/1.8/rubygems/specification.rb:761:in `activate_dependencies'

        from /usr/lib/ruby/site_ruby/1.8/rubygems/specification.rb:758:in `each'

        from /usr/lib/ruby/site_ruby/1.8/rubygems/specification.rb:758:in `activate_dependencies'

        from /usr/lib/ruby/site_ruby/1.8/rubygems/specification.rb:742:in `activate'

        from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:209:in `try_activate'

        from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:58:in `require'

        from /usr/share/foreman-proxy/bin/../lib/proxy/dhcp/subnet.rb:5

        from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

        from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

        from /usr/share/foreman-proxy/bin/../lib/proxy/dhcp/record.rb:1

        from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

        from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

        from /usr/share/foreman-proxy/bin/../lib/proxy/dhcp.rb:2

        from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

        from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

        from /usr/share/foreman-proxy/bin/../lib/proxy.rb:15

        from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

        from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

        from /usr/share/foreman-proxy/bin/smart-proxy:7    

                                                           [FAILED]

 nothing in the logs

if i deactivate dhcp management, proxy start sucsessfull

History

#1 - 05/05/2012 02:40 PM - Florian Koch

Ok the problem is in /usr/share/foreman-proxy/lib/proxy/dhcp/subnet.rb line 5

if i comment the require "net/ping", the proxy starts without problems!

[root@foreman-proxya01 lib]# yum info rubygem-net-ping

Loaded plugins: security

Installed Packages

Name        : rubygem-net-ping

Arch        : noarch

Version     : 1.5.3

Release     : 1.el6

Size        : 494 k
Repo        : installed

From repo   : foreman

Summary     : A ping interface for Ruby.

URL         : http://www.rubyforge.org/projects/shards

License     : Distributable

Description : The net-ping library provides a ping interface for Ruby. It includes

            : separate TCP, HTTP, LDAP, ICMP, UDP, WMI (for Windows) and external ping

            : classes.

#2 - 05/05/2012 04:04 PM - Florian Koch

with the rubygem-net-ping version from yum.theforeman.org  the proxy and dhcp works.

[root@foreman-proxya01 ~]# yum info rubygem-net-ping

Loaded plugins: security

Installed Packages

Name        : rubygem-net-ping

Arch        : noarch

Version     : 1.3.7

Release     : 1

Size        : 283 k

Repo        : installed

From repo   : theforeman

Summary     : A ping interface for Ruby

URL         : http://www.rubyforge.org/projects/shards

License     : GPLv2+ or Ruby

Description : The net-ping library provides a ping interface for Ruby. It includes

            : separate TCP, HTTP, ICMP, UDP, WMI (for Windows) and external ping

            : classes.

#3 - 05/16/2012 12:12 AM - Brian Gupta

We can close?

#4 - 05/16/2012 10:09 AM - Florian Koch

- Status changed from New to Closed
